aubio: vecutils.h File Reference

aubio 0.4.8

Functions
vecutils.h File Reference

Utility functions for fvec_t. More...

Go to the source code of this file.

## Functions
void | fvec_exp (fvec_t *s)
| compute \(e^x\) of each vector elements More...
void | fvec_cos (fvec_t *s)
| compute \(cos(x)\) of each vector elements More...
void | fvec_sin (fvec_t *s)
| compute \(sin(x)\) of each vector elements More...
void | fvec_abs (fvec_t *s)
| compute the \(abs(x)\) of each vector elements More...
void | fvec_sqrt (fvec_t *s)
| compute the \(sqrt(x)\) of each vector elements More...
void | fvec_log10 (fvec_t *s)
| compute the \(log10(x)\) of each vector elements More...
void | fvec_log (fvec_t *s)
| compute the \(log(x)\) of each vector elements More...
void | fvec_floor (fvec_t *s)
| compute the \(floor(x)\) of each vector elements More...
void | fvec_ceil (fvec_t *s)
| compute the \(ceil(x)\) of each vector elements More...
void | fvec_round (fvec_t *s)
| compute the \(round(x)\) of each vector elements More...
void | fvec_pow (fvec_t *s, smpl_t pow)
| raise each vector elements to the power pow More...

## Detailed Description

Utility functions for fvec_t.

Definition in file vecutils.h.

## Function Documentation

## ◆ fvec_abs()

void fvec_abs | ( | fvec_t * | s | ) |

compute the \(abs(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_ceil()

void fvec_ceil | ( | fvec_t * | s | ) |

compute the \(ceil(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_cos()

void fvec_cos | ( | fvec_t * | s | ) |

compute \(cos(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_exp()

void fvec_exp | ( | fvec_t * | s | ) |

compute \(e^x\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_floor()

void fvec_floor | ( | fvec_t * | s | ) |

compute the \(floor(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_log()

void fvec_log | ( | fvec_t * | s | ) |

compute the \(log(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_log10()

void fvec_log10 | ( | fvec_t * | s | ) |

compute the \(log10(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_pow()

void fvec_pow | ( | fvec_t * | s,
|  | smpl_t | pow
| ) |  |

raise each vector elements to the power pow

Parameters

  s | vector to modify
  pow | power to raise to

## ◆ fvec_round()

void fvec_round | ( | fvec_t * | s | ) |

compute the \(round(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_sin()

void fvec_sin | ( | fvec_t * | s | ) |

compute \(sin(x)\) of each vector elements

Parameters

  s | vector to modify

## ◆ fvec_sqrt()

void fvec_sqrt | ( | fvec_t * | s | ) |

compute the \(sqrt(x)\) of each vector elements

Parameters

  s | vector to modify